Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040560
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-09 20:312019-05-27 13:54
ReportershuehnerView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisione7d637ae77a1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040560: AcctServer.isConveritble is not using bind-parameters

Description4 cases in this methods are not using bind-parameters


          conversionQuery = OBDal.getInstance()
              .createQuery(ConversionRateDoc.class, "invoice = '" + Record_ID + "' and currency='"
                  + currency + "' and toCurrency='" + acctSchema.m_C_Currency_ID + "'");
        } else if (AD_Table_ID.equals(TABLEID_Payment)) {
          conversionQuery = OBDal.getInstance()
              .createQuery(ConversionRateDoc.class, "payment = '" + Record_ID + "' and currency='"
                  + currency + "' and toCurrency='" + acctSchema.m_C_Currency_ID + "'");
        } else if (AD_Table_ID.equals(TABLEID_Transaction)) {
          conversionQuery = OBDal.getInstance()
              .createQuery(ConversionRateDoc.class,
                  "financialAccountTransaction = '" + Record_ID + "' and currency='" + currency
                      + "' and toCurrency='" + acctSchema.m_C_Currency_ID + "'");
        } else if (AD_Table_ID.equals(TABLEID_GLJournal)) {
          conversionQuery = OBDal.getInstance()
              .createQuery(ConversionRateDoc.class,
                  "journalEntry = '" + Record_ID + "' and currency='" + currency
                      + "' and toCurrency='" + acctSchema.m_C_Currency_ID + "'");
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00408483.0PR19Q2.1 closednonofrancisco AcctServer.isConveritble is not using bind-parameters 
depends on backport 00408493.0PR19Q1.2 closednonofrancisco AcctServer.isConveritble is not using bind-parameters 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111485)
nonofrancisco (developer)
2019-05-04 20:12

Test Plan

Open Financial Account window
Select Cuenta de Banco
Open Payment Methods tab
Select Transferencia
  Upon Receipt Use = Deposited Payment Account

Logged as F&B International Group Admin
Open Sales Invoice window
Create a new Sales invoice with a line of product
Complete the document
Post the document
Verify the process completes successfully
Click on Add Payment button
Generate payment for the full amount

Open Payment In window
Select the previously created payment
Post the document
Verify the process completes successfully

Open G/L Journal window
Create a new record
Create a new Header
  Organization: F&B España - Región Norte
  Currency: USD
Create a line
  Account: 57200
  Credit: 100
Create a line
  Account: 43000
  Debit: 10
Complete the document
Post the document
Verify the process completes successfully
(0112096)
hgbot (developer)
2019-05-23 16:22

Repository: erp/devel/pi
Changeset: e7d637ae77a1259d8f8f8d132a5a8e182356c7c5
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Apr 22 15:49:11 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/e7d637ae77a1259d8f8f8d132a5a8e182356c7c5 [^]

Fixes issue 40560: Uses bind parameters in query

When creating the query to get exchange rates by documents, instead of use
string concatenation, bind parameters are uses.

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0112103)
Sandrahuguet (developer)
2019-05-23 17:30

code review + testing ok
(0112172)
hudsonbot (developer)
2019-05-27 13:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bdad8ace6f89 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-09 20:31 shuehner New Issue
2019-04-09 20:31 shuehner Assigned To => Triage Finance
2019-04-09 20:31 shuehner Modules => Core
2019-04-09 20:31 shuehner Triggers an Emergency Pack => No
2019-04-09 20:32 shuehner Relationship added blocks 0038136
2019-04-23 22:11 nonofrancisco Status new => scheduled
2019-05-03 11:55 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-04 19:11 nonofrancisco Status scheduled => acknowledged
2019-05-04 19:12 nonofrancisco Status acknowledged => scheduled
2019-05-04 20:12 nonofrancisco Note Added: 0111485
2019-05-12 15:59 nonofrancisco Status scheduled => acknowledged
2019-05-12 16:00 nonofrancisco Relationship deleted depends on 0040778
2019-05-12 16:00 nonofrancisco Relationship deleted depends on 0040779
2019-05-12 16:00 nonofrancisco Relationship deleted depends on 0040780
2019-05-12 16:01 nonofrancisco Status acknowledged => scheduled
2019-05-23 16:22 hgbot Checkin
2019-05-23 16:22 hgbot Note Added: 0112096
2019-05-23 16:22 hgbot Status scheduled => resolved
2019-05-23 16:22 hgbot Resolution open => fixed
2019-05-23 16:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e7d637ae77a1259d8f8f8d132a5a8e182356c7c5 [^]
2019-05-23 17:30 Sandrahuguet Review Assigned To => Sandrahuguet
2019-05-23 17:30 Sandrahuguet Note Added: 0112103
2019-05-23 17:30 Sandrahuguet Status resolved => closed
2019-05-23 17:30 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-27 13:54 hudsonbot Checkin
2019-05-27 13:54 hudsonbot Note Added: 0112172


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker